Servers - Check Name Availability
Check the name availability in the target location.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.AnalysisServices/locations/{location}/checkNameAvailability?api-version=2017-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The region name which the operation will lookup into. |
|
subscription
|
path | True |
string |
A unique identifier for a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
The client API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| name |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
Name for checking availability. |
| type |
string |
The resource type of azure analysis services. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get details of a server
Sample request
POST https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/providers/Microsoft.AnalysisServices/locations/West US/checkNameAvailability?api-version=2017-08-01
{
"name": "azsdktest",
"type": "Microsoft.AnalysisServices/servers"
}
Sample response
{
"nameAvailable": true
}
Definitions
| Name | Description |
|---|---|
|
Check |
Details of server name request body. |
|
Check |
The checking result of server name availability. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Describes the format of Error response. |
CheckServerNameAvailabilityParameters
Details of server name request body.
| Name | Type | Default value | Description |
|---|---|---|---|
| name |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
Name for checking availability. |
|
| type |
string |
Microsoft.AnalysisServices/servers |
The resource type of azure analysis services. |
CheckServerNameAvailabilityResult
The checking result of server name availability.
| Name | Type | Description |
|---|---|---|
| message |
string |
The detailed message of the request unavailability. |
| nameAvailable |
boolean |
Indicator of available of the server name. |
| reason |
string |
The reason of unavailability. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| httpStatusCode |
integer (int32) |
The http status code |
| message |
string |
The error message. |
| subCode |
integer (int32) |
The error sub code |
| target |
string |
The error target. |
| timeStamp |
string |
the timestamp for the error. |
ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object |